WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Error in Admin Panel – Multisite Version

[Resolved] Error in Admin Panel – Multisite Version

  • I updated recently to the 2.15 version of the Really Simple Share Buttons plugin and am receiving two errors on the back-end admin panel of the network of the website where the plugin is install.

    Warning: array_merge() [function.array-merge]: Argument #2 is not an array in /home/mryan/public_html/wp-content/plugins/really-simple-facebook-twitter-share-buttons/really-simple-facebook-twitter-share-buttons.php on line 1197
    
    Warning: Invalid argument supplied for foreach() in /home/mryan/public_html/wp-content/plugins/really-simple-facebook-twitter-share-buttons/really-simple-facebook-twitter-share-buttons.php on line 1200

    Hopefully there’s a fix for this or is this something that only a complete fresh re-install can fix?

    Thanks.

    http://wordpress.org/plugins/really-simple-facebook-twitter-share-buttons/

Viewing 5 replies - 1 through 5 (of 5 total)
  • Hi Gnoam,
    I’m fixing it soon.

    If you’re able to modify plugins through the WP admin page, you can try to add this command to the really-simple-facebook-twitter-share-buttons.php file, on line 1180:
    if (!is_array($option)) { $option = array(); }

    Awesome. That got it. Thanks for the quick response and the fix.

    Got the same error and used your fix to get rid of the warning messages…

    BUT – I cannot save new settings now – the defaults are there but I cannot update them.

    Please help…

    Thanks

    Hi SteveWebWorks,
    it looks like the command is placed wrongly.
    Please check that you’re on the 2.15 plugin release and that the newly added command is just after this one:
    $option = get_option('really_simple_share');

    Thanks, I had put the new code in the wrong place.

    All fixed and working now.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Resolved] Error in Admin Panel – Multisite Version’ is closed to new replies.